'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _postcss = require('postcss');

var _postcss2 = _interopRequireDefault(_postcss);

var _posthtmlMatchHelper = require('posthtml-match-helper');

var _posthtmlMatchHelper2 = _interopRequireDefault(_posthtmlMatchHelper);

var _helpers = require('./helpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (css) {
    return function inlineCss(tree) {
        if (!css || typeof css !== 'string' && !Object.keys(css).length) {
            css = (0, _helpers.getCssFromStyleTags)(tree);
        }

        var postcssObj = css.then ? css : (0, _postcss2.default)().process(css);
        return postcssObj.then(function (result) {
            return (0, _helpers.sortCssNodesBySpecificity)(result.root.nodes);
        }).then(function (cssNodes) {
            cssNodes.forEach(function (cssNode) {
                tree.match((0, _posthtmlMatchHelper2.default)(cssNode.selector), function (htmlNode) {
                    return (0, _helpers.extendStyle)(htmlNode, cssNode);
                });
            });
        });
    };
};